@echo off
ren demo1.dmo, demo1.bmo
ren demo1.amo, demo1.dmo
ECHO *//* Grune Launcher *//*
ECHO Thank you for selecting and downloading Grune,
ECHO a 6 level add-on for Duke. This level pak includes
ECHO the following: 6 new levels, tons of new art, all
ECHO new music, new sounds, new weapons and graphics,
ECHO new enemy and boss as well as a new ending animation.
ECHO We at Dark Flame Conversions hope you enjoy this add-on
ECHO and will be there when we release our next one.
ECHO Note: To bypass all this, at the menu just press (Q)
ECHO for Quit, and start the add-on by DOS using this
ECHO command line:
ECHO duke3d /ggrune.grp /xgrgame.con
ECHO That should start the add-on without the help of this
ECHO batch file.
ECHO .
ECHO WOLF
pause
goto menu

:menu
ECHO Which option would you like to choose?
ECHO (A) Read the Text File
ECHO (B) Read the Interview
ECHO (C) Read the Credits
ECHO (D) Start Single Player Mission
ECHO (E) Start Multi-Player Mission
choice /n /c:abcdeq
if errorlevel 6 goto quit
if errorlevel 5 goto setup
if errorlevel 4 goto question
if errorlevel 3 goto text
if errorlevel 2 goto text3
if errorlevel 1 goto text2

:setup
setup /ggrune.grp /xgrgame.con
goto finish

:question
ECHO Do you want to play using the low mem parameter? [y/n]
choice /n /c:ynq
if errorlevel 3 goto quit
if errorlevel 2 goto start2
if errorlevel 1 goto start1

:start1
duke3d /xgrgame.con /ggrune.grp /z
goto finish

:start2
duke3d /xgrgame.con /ggrune.grp
goto finish

:text
cls
type credits.txt | more
pause
goto menu

:text2
cls
type grune.txt | more
pause
goto menu

:text3
cls
type interv~1.txt | more
pause
goto menu

:finish
ren demo1.dmo, demo1.amo
ren demo1.bmo, demo1.dmo
ECHO Thanks for playing Grune! Visit our site at:
ECHO http://www.3dportal.com/darkflame/
goto end

:quit
ren demo1.dmo, demo1.amo
ren demo1.bmo, demo1.dmo
ECHO Game Launch Aborted!
goto end

:end

